html,
body {
    margin: 0;
    padding: 0;
}

#main {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

#header {
    background: linear-gradient(90deg, rgba(130, 35, 194, 1) 0%, rgba(253, 29, 29, 1) 50%, rgba(38, 196, 35, 1) 100%);
    height: 120px;
    width: 100%;
}

#columns-container {
    display: flex;
}

#content1 {
    background-color: midnightblue;
    width:50%;
    height: 300px;
}

#content2 {
    background-color: blue;
    width: 25%;
    height: 300px;
}

#content3 {
    background-color: blueviolet;
    width: 25%;
    height: 300px;
}

#footer {
    margin-top: auto;
    background-color: gray;
    height: 100px;
    display: flex;
    justify-content: space-around;
    align-items:center;
}